Bug 19483 - t/db_dependent/www/* crashes test harness due to misconfigured test plan
Summary: t/db_dependent/www/* crashes test harness due to misconfigured test plan
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Olli-Antti Kivilahti
QA Contact: Julian Maurice
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-10-18 11:32 UTC by Olli-Antti Kivilahti
Modified: 2018-06-04 20:15 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19483 - t/db_dependent/www/* crashes test harness due to misconfigured test plan (5.10 KB, patch)
2017-10-18 11:36 UTC, Olli-Antti Kivilahti
Details | Diff | Splinter Review
Bug 19483 - t/db_dependent/www/* crashes test harness due to misconfigured test plan (5.15 KB, patch)
2017-10-20 03:52 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 19483: Fix test plan in t/db_dependent/www/* (5.27 KB, patch)
2018-01-12 13:53 UTC, Julian Maurice
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Olli-Antti Kivilahti 2017-10-18 11:32:35 UTC
prove t/db_dependent/www/

without defining KOHA_INTRANET_URL
bails out and marks the whole test suite as failed.
Test suite should not be failed if this optional WWW::Mechanize test suite is not activated.

After this patch, the tests are properly skipped without failing the whole tests.

This is important when running all tests under t, as this needlessly fails the test suite.

Also handling of 'skip_all' is inconsistent in t/db_dependent/www -tests, so this normalizes it to skip_all instead of bail_out
Comment 1 Olli-Antti Kivilahti 2017-10-18 11:36:28 UTC
Created attachment 68242 [details] [review]
Bug 19483 - t/db_dependent/www/* crashes test harness due to misconfigured test plan

prove t/db_dependent/www/

without defining KOHA_INTRANET_URL
bails out and marks the whole test suite as failed.
Test suite should not be failed if this optional WWW::Mechanize test suite is not activated.

After this patch, the tests are properly skipped without failing the whole tests.

This is important when running all tests under t, as this needlessly fails the test suite.

Also handling of 'skip_all' is inconsistent in t/db_dependent/www -tests, so this normalizes it to skip_all instead of bail_out
Comment 2 M. Tompsett 2017-10-20 03:52:43 UTC
Created attachment 68307 [details] [review]
Bug 19483 - t/db_dependent/www/* crashes test harness due to misconfigured test plan

prove t/db_dependent/www/

without defining KOHA_INTRANET_URL
bails out and marks the whole test suite as failed.
Test suite should not be failed if this optional WWW::Mechanize test suite is not activated.

After this patch, the tests are properly skipped without failing the whole tests.

This is important when running all tests under t, as this needlessly fails the test suite.

Also handling of 'skip_all' is inconsistent in t/db_dependent/www -tests, so this normalizes it to skip_all instead of bail_out

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 3 Julian Maurice 2018-01-12 13:53:35 UTC
Created attachment 70468 [details] [review]
Bug 19483: Fix test plan in t/db_dependent/www/*

t/db_dependent/www/* crashes test harness due to misconfigured test plan

prove t/db_dependent/www/

without defining KOHA_INTRANET_URL
bails out and marks the whole test suite as failed.
Test suite should not be failed if this optional WWW::Mechanize test
suite is not activated.

After this patch, the tests are properly skipped without failing the
whole tests.

This is important when running all tests under t, as this needlessly
fails the test suite.

Also handling of 'skip_all' is inconsistent in t/db_dependent/www
-tests, so this normalizes it to skip_all instead of bail_out

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Comment 4 Jonathan Druart 2018-01-15 15:25:26 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 5 Nick Clemens 2018-01-23 04:08:34 UTC
Awesome work all!

Pushed to Stable for 17.11.02
Comment 6 Fridolin SOMERS 2018-01-31 07:25:39 UTC
Pushed to 17.05.x for v17.05.09